Last modified: 2014-06-17 17:02:50 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 34754 - Collapsible navigation toggle should be a link
Collapsible navigation toggle should be a link
Status: RESOLVED FIXED
Product: MediaWiki skins
Classification: Unclassified
Vector (Other open bugs)
unspecified
All All
: Normal normal
: ---
Assigned To: Krinkle
:
Depends on:
Blocks: 367
  Show dependency treegraph
 
Reported: 2012-02-27 17:59 UTC by Kai Nissen
Modified: 2014-06-17 17:02 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
patch for displaying the collapsible nav items as links (1.58 KB, patch)
2012-02-27 17:59 UTC, Kai Nissen
Details
patch for displaying the collapsible nav items as links (1.57 KB, patch)
2012-03-08 14:25 UTC, Kai Nissen
Details

Description Kai Nissen 2012-02-27 17:59:18 UTC
Created attachment 10116 [details]
patch for displaying the collapsible nav items as links

This bug is mentioned in the accessibility report carried out by the swiss foundation "Access for all" (see paragraph 1.3.2.1).
http://www.thirdageonline.eu/project-tao-2/software-development/mediawiki-accessibility-enhancements/

The navigation items that collapse subitems are not displayed as links, which makes it impossible for users of screen readers to understand that these actually are links.

I propose the attached patch to fix this one. The patch adds h5-tags to the collapsible items and extends its CSS definitions to still look the same.
Comment 1 Kai Nissen 2012-02-27 18:20:35 UTC
Sorry, the patch adds link tags to the collapsible items, h5 tags are already there.
Comment 2 Brion Vibber 2012-02-28 00:29:14 UTC
This would seem to make the portal section titles links even if they are not collapsible...? Should this only be done in JS when the collapsible links are being set up, maybe?
Comment 3 Derk-Jan Hartman 2012-02-28 00:31:47 UTC
or we can just add role's of course.
Comment 4 Kai Nissen 2012-03-08 14:25:18 UTC
Created attachment 10201 [details]
patch for displaying the collapsible nav items as links

I took Brion's comment into consideration. The navigation elements' content is changed during the javascript methods that add the collapsible css class, so collapsible/expandable headings become links "on demand".
Comment 5 Jon 2012-05-23 14:55:08 UTC
https://gerrit.wikimedia.org/r/8605
One last thought.. it is the href required?
Comment 6 Kai Nissen 2012-05-23 15:16:20 UTC
Yes, links missing the href attribute are not recognized by screen readers.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links